Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
ezfilemanager/admin/browse.php File Reference

Go to the source code of this file.

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZFileManagerMain", "Language" )
| $ImageDir = $ini->variable( "eZFileManagerMain", "ImageDir" )
| $t
| $user =& eZUser::currentUser()
if(!isset( $FolderID)) | $folder = new eZVirtualFolder( $FolderID )
| $error = true
| $session =& eZSession::globalSession()
| $returnUrl = $session->variable( "FileListReturnTo" )
if( $folder->id() !=0) | $pathArray =& $folder->path()
foreach( $pathArray as $path) | $folderList =& $folder->getByParent( $folder )
| $i = 0
| $deleteFolders = false
foreach( $folderList as $folderItem) if(count( $folderList) > 0) | else
| $count = $folder->countFiles()
| $fileList =& $folder->files( "name", 0, $count )
| $deleteFiles = false

## Variable Documentation

## ◆ $count

$count = $folder->countFiles()

Definition at line 162 of file ezfilemanager/admin/browse.php.

## ◆ $deleteFiles

$deleteFiles = false

Definition at line 165 of file ezfilemanager/admin/browse.php.

## ◆ $deleteFolders

$deleteFolders = false

Definition at line 129 of file ezfilemanager/admin/browse.php.

## ◆ $error

$error = true

Definition at line 76 of file ezfilemanager/admin/browse.php.

## ◆ $fileList

$fileList =& $folder->files( "name", 0, $count )

Definition at line 163 of file ezfilemanager/admin/browse.php.

Referenced by eZAutoloadGenerator\buildAutoloadArrays(), eZArticle\delete(), eZAutoloadGenerator\getClassFileList(), and eZDir\recursiveList().

## ◆ $folder

if (!isset($FolderID)) $folder = new eZVirtualFolder( $FolderID )

Definition at line 74 of file ezfilemanager/admin/browse.php.

Referenced by addFile(), buildFilterName(), eZMailFilterRule\doFilter(), eZVirtualFile\folder(), eZVirtualFolder\getByName(), eZMailFolder\getTree(), and save_mail().

## ◆ $folderList

foreach ($pathArray as $path) $folderList =& $folder->getByParent( $folder )

Definition at line 126 of file ezfilemanager/admin/browse.php.

Referenced by eZMailFolder\getTree().

## ◆ $i

$i = 0

Definition at line 128 of file ezfilemanager/admin/browse.php.

## ◆ $ImageDir

$ImageDir = $ini->variable( "eZFileManagerMain", "ImageDir" )

Definition at line 40 of file ezfilemanager/admin/browse.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 38 of file ezfilemanager/admin/browse.php.

## ◆ $Language

$Language = $ini->variable( "eZFileManagerMain", "Language" )

Definition at line 39 of file ezfilemanager/admin/browse.php.

## ◆ $pathArray

if ($folder->id() !=0) $pathArray =& $folder->path()

Definition at line 112 of file ezfilemanager/admin/browse.php.

## ◆ $returnUrl

$returnUrl = $session->variable( "FileListReturnTo" )

Definition at line 80 of file ezfilemanager/admin/browse.php.

## ◆ $session

$session =& eZSession::globalSession()

Definition at line 78 of file ezfilemanager/admin/browse.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/ezfilemanager/admin/" . $ini->variable( "eZFileManagerMain", "AdminTemplateDir" ),
"kernel/ezfilemanager/admin/intl/", $Language, "browse.php" )
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: ezfilemanager/admin/browse.php:39
$ini
$ini
Definition: ezfilemanager/admin/browse.php:38

Definition at line 42 of file ezfilemanager/admin/browse.php.

## ◆ $user

$user =& eZUser::currentUser()

Definition at line 67 of file ezfilemanager/admin/browse.php.

## ◆ else

if ($error==false) else

Initial value:
{
$t->set_var( "folder_list", "" )
$t
$t
Definition: ezfilemanager/admin/browse.php:42

Definition at line 155 of file ezfilemanager/admin/browse.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.